Class
Pool
Pools are push- and pop-passive pipeline modules.

Pool

MapperSpec | PoolSpec | SorterSpec

MapperConfig | MapperConfigSize

PoolConfig | PoolConfigSize

SorterConfig | SorterConfigSize

Pool<TValue, TSpec>
Include Headers
seqan/pipe.h
Parameters

TValue | The value type, that is the type of the stream elements.
TSpec | The specializing type. Default: PoolSpec<>, see PoolSpec.

Remarks
Use Value to get the output type of a given Pipe (returns Value<TInput>::Type by default).
Use Size to get the size type of a given Pipe (returns Size<TInput>::Type by default).
Specializations

MapperSpec | Permutes all elements using a custom destination function.
PoolSpec | Stores/Retrieves all elements to/from disk.
SorterSpec | Sorts all elements using a custom compare function.

Functions

assign | Assigns one object to another object.
assign | Assigns one object to another object.
atEnd | Determines whether an iterator is at the end position.
beginRead | Initiates a read process.
beginWrite | Initiates a write process.
clear | Resets an object.
endRead | Terminates a read process.
endWrite | Terminates a write process.
front | Gets the first element of the remaining stream.
length | The number of items/characters.
pop | Pops the first element of the remaining stream.
push | Appends an item at the end of an input stream.
resize | Resizes a container. If the new length exceeds the old length the new elements are filled with copies of value.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45